漏洞信息详情

nipper-ng 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201910-1297
  • 危害等级: 高危
  • CVE编号: CVE-2019-17424
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2019-10-22
  • 威胁类型: 本地
  • 更新时间: 2019-11-19
  • 厂        商:
  • 漏洞来源: Guy Levin

漏洞简介

nipper-ng是一款开源的渗透测试工具。

nipper-ng 0.11.10版本中的IOS/process-general.c文件‘processPrivilage()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/arpitn30/nipper-ng

参考网址

来源:twitter.com

链接:https://twitter.com/va_start

来源:github.com

链接:https://github.com/guywhataguy/CVE-2019-17424

来源:code.google.com

链接:https://code.google.com/archive/p/nipper-ng/source/default/source

来源:blog.vastart.dev

链接:https://blog.vastart.dev/2019/10/stack-overflow-cve-2019-17424.html

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/155378/nipper-ng-0.11.10-Remote-Buffer-Overflow.html

来源:www.exploit-db.com

链接:https://www.exploit-db.com/exploits/47673

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-17424

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多